PDA

View Full Version : How to Get All That I Need For Qt Programming?



rich1939
March 29th, 2009, 09:58 PM
I'd like to start looking at Qt for cross-platform programming. I saw that there were a lot of individual components in Synaptic's list. Is there a single apt-get install command that I could use to get all of the Qt libraries and development tools, including a GUI interface developer?

If so, please let me know how to get them.

Thanks

snova
March 29th, 2009, 10:18 PM
These packages, I think:

libqt4-dev contains all the headers and development tools.
qt4-designer has the graphical window editor.

This is Intrepid, by the way.

rich1939
March 30th, 2009, 01:45 AM
Thanks very much!

DGortze380
March 30th, 2009, 05:49 AM
I always suggest apt, but if you can't find it in the repos, I've compiled from source, and it works just fine. Fair Warning: It takes a LONG time to compile... 2+ hours on my Core Duo with 2GB of RAM.

Nevon
March 30th, 2009, 09:29 AM
Or you could get QT Creator, which is available here: http://bit.ly/qxrO8

Bachstelze
March 30th, 2009, 09:36 AM
Also, there are Qt bindings for other languages than C++. If you begin, you might want to install python-qt4 (which as its name implies, will let you program Qt applications in Python). Also, qt4-doc might be useful. ;)

rich1939
March 30th, 2009, 10:47 PM
Also, there are Qt bindings for other languages than C++. If you begin, you might want to install python-qt4 (which as its name implies, will let you program Qt applications in Python). Also, qt4-doc might be useful. ;)

Thanks for the input. I'm not familiar with Python yet. I've written a few books about object Pascal & C++...but haven't yet gotten to Python. Maybe someday...:)

samjh
March 31st, 2009, 01:02 AM
I'd like to start looking at Qt for cross-platform programming. I saw that there were a lot of individual components in Synaptic's list. Is there a single apt-get install command that I could use to get all of the Qt libraries and development tools, including a GUI interface developer?

If so, please let me know how to get them.

Thanks


sudo apt-get install qt4-dev-tools qt4-designerThat will install development libraries, qmake, QT Assistant, QT Linguist, and QT Designer.

rich1939
March 31st, 2009, 06:34 AM
sudo apt-get install qt4-dev-tools qt4-designerThat will install development libraries, qmake, QT Assistant, QT Linguist, and QT Designer.

Thanks very much. It appears that I've now got all of those tools.